[paludis-sekrit] [Paludis] #757: paludis pulls unnecessary packages

Paludis trac at pioto.org
Fri May 15 18:47:22 UTC 2009


#757: paludis pulls unnecessary packages
-----------------------------+----------------------------------------------
 Reporter:  gringo           |          Owner:        
     Type:  defect           |         Status:  new   
 Priority:  Sometime         |      Milestone:        
Component:  clients/paludis  |        Version:  0.36.1
 Keywords:                   |      Blockedby:        
 Blocking:                   |   Distribution:  Gentoo
-----------------------------+----------------------------------------------
 When trying to emerge openoffice I noticed that paludis tries to pull
 xulrunner-1.8 although xulrunner-1.9 is already installed. Looking into
 ebuild we can see:

 nsplugin? ( || ( net-libs/xulrunner:1.8 net-libs/xulrunner:1.9 =www-
 client/seamonkey-1* )
         >=dev-libs/nspr-4.6.6
         >=dev-libs/nss-3.11-r1 )

 I have nsplugin flag enabled, so having xulrunner-1.9.x installed should
 be sufficient, but paludis still tries to pull xulrunner-1.8. Changing
 order makes paludis do the right thing.

-- 
Ticket URL: <http://trac.pioto.org/paludis/ticket/757>
Paludis <http://paludis.pioto.org/>
Paludis, the Other Package Mangler


More information about the paludis-dev mailing list